server:
  port: 9786
  compression:
    enabled: true
spring:
  application:
    name: leopard-server
  mvc:
    async:
      request-timeout: 3600000
  datasource:
    url: jdbc:postgresql://81.71.3.24:6785/leopard_dev
    username: leopard
    password: '9NEzFzovnddf@PyEP?e*AYAWnCyd7UhYwQK$pJf>7?ccFiN^x4$eKEZ5~E<7<+~X'
    driver-class-name: org.postgresql.Driver
  jpa:
    generate-ddl: true
    hibernate:
      ddl-auto: update
  quartz:
    wait-for-jobs-to-complete-on-shutdown: true
    startup-delay: 30s
    job-store-type: jdbc
    jdbc:
      platform: postgres
      # initialize-schema: always
    properties:
      org:
        quartz:
          jobStore:
            driverDelegateClass: org.quartz.impl.jdbcjobstore.PostgreSQLDelegate
fenix:
  print-banner: false
liteflow:
  print-banner: false
  check-node-exists: false
  rule-source-ext-data-map:
    applicationName: ${spring.application.name}
    sqlLogEnabled: true
    chainTableName: leopard_task_template
    chainApplicationNameField: application
    chainNameField: chain
    elDataField: expression_el
